LAP/ViewComponents/RightPanelViewComponent.cs
using LAP.DomainModels.Entities;
using LAP.Helpers;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using System;
using System.Linq;
using System.Threading.Tasks;

namespace LAP.ViewComponents
{
    public class RightPanelViewComponent : ViewComponent
    {
        protected readonly LifeArcPlanContext2 _context2;
        protected readonly IHttpContextAccessor _httpContextAccessor;
        public RightPanelViewComponent(LifeArcPlanContext2 context2, IHttpContextAccessor httpContextAccessor)
        {
            _context2 = context2;
            _httpContextAccessor = httpContextAccessor;
        }
        public async Task<IViewComponentResult> InvokeAsync()
        {
            Guid ClientLoginGuid = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "ClientLoginGuid").ClaimToGuid();
            var clientData = await _context2.ClientDatas.Where(m => m.ClientLogin.Guid == ClientLoginGuid).Include(m => m.ClientLogin).FirstOrDefaultAsync();
            ViewBag.ClientName = $"{clientData.FirstName} {clientData.LastName}";
            ViewBag.Email = clientData.ClientLogin.Username;
            ViewBag.ProfileCompleted = clientData.ClientLogin.InitialProfileSetupCompleted && clientData.ClientLogin.SetupCompletedDate is not null;
            return await Task.FromResult(View());
        }
    }
}

LAP/ViewComponents/TopBarMobileUserToggleViewComponent.cs
using LAP.DomainModels.Entities;
using LAP.Helpers;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using System;
using System.Linq;
using System.Threading.Tasks;

namespace LAP.ViewComponents
{
    public class TopBarMobileUserToggleViewComponent : ViewComponent
    {
        protected readonly LifeArcPlanContext2 _context2;
        protected readonly IHttpContextAccessor _httpContextAccessor;
        public TopBarMobileUserToggleViewComponent(LifeArcPlanContext2 context2, IHttpContextAccessor httpContextAccessor)
        {
            _context2 = context2;
            _httpContextAccessor = httpContextAccessor;
        }
        public async Task<IViewComponentResult> InvokeAsync()
        {
            Guid ClientLoginGuid = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "ClientLoginGuid").ClaimToGuid();
            if (ClientLoginGuid != Guid.Empty)
            {
                var client = await _context2.ClientLogins.Where(m => m.Guid == ClientLoginGuid && m.IsDeleted != true).Include(m => m.ClientData).FirstOrDefaultAsync();
                var clientData = client.ClientData;
                ViewBag.ClientName = clientData.FirstName;
            }
            Guid UserLoginGuid = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "UserLoginGuid").ClaimToGuid();
            if (UserLoginGuid != Guid.Empty)
            {
                var adviser = await _context2.UserLogins.Where(m => m.Guid == UserLoginGuid).Include(m => m.UserData).FirstOrDefaultAsync();
                var adviserData = adviser.UserData;
                ViewBag.AdviserName = adviserData.FirstName;
            }
            return await Task.FromResult(View());
        }
    }
}

LAP/ViewComponents/TopBarViewComponent.cs
using LAP.DomainModels.Entities;
using LAP.Helpers;
using LAP.Services;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using System;
using System.Linq;
using System.Threading.Tasks;

namespace LAP.ViewComponents
{
    public class TopBarViewComponent : ViewComponent
    {
        protected readonly LifeArcPlanContext2 _context2;
        protected readonly IHttpContextAccessor _httpContextAccessor;
        protected readonly CommonService _commonService;
        protected readonly InvestmentService _investmentService;
        public TopBarViewComponent(LifeArcPlanContext2 context2, IHttpContextAccessor httpContextAccessor)
        {
            _context2 = context2;
            _httpContextAccessor = httpContextAccessor;
            _commonService = new CommonService(_context2);
            _investmentService = new InvestmentService(_context2, _httpContextAccessor);
        }
        public async Task<IViewComponentResult> InvokeAsync()
        {
            Guid ClientLoginGuid = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "ClientLoginGuid").ClaimToGuid();
            if (ClientLoginGuid != Guid.Empty)
            {
                var yearToRetire = await _commonService.GetYearToRetirementAsync(ClientLoginGuid);
                var client = await _context2.ClientLogins.Where(m => m.Guid == ClientLoginGuid && m.IsDeleted != true).Include(m => m.UserLogin)
                    .Include(m => m.ClientData).Include(m => m.SpouseData).Include(m => m.ClientOccupations).FirstOrDefaultAsync();
                var clientData = client.ClientData;
                var spouseData = client.SpouseData;
                var TimeZone = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "TimeZone")?.Value;
                ViewBag.FirmId = client.UserLogin.FirmId;
                ViewBag.ClientId = client.Id;
                ViewBag.ClientMaritalStatus = (int)clientData.MaritalStatus;
                ViewBag.IsMarried = Convert.ToDateTime(clientData.DateOfCurrentMarriage).IsNotEmptyDate();
                ViewBag.ClientDOB = clientData.DateOfBirth.ToString("MMM dd, yyyy");
                ViewBag.ClientName = clientData.FirstName;
                ViewBag.ClientFullName = $"{clientData.FirstName} {clientData.LastName}";
                ViewBag.SpouseName = Convert.ToDateTime(clientData.DateOfCurrentMarriage).IsNotEmptyDate() ? spouseData?.FirstName : null;
                ViewBag.BudgetVersion = clientData.BudgetVersion;
                ViewBag.InvestmentVersion = clientData.InvestmentVersion;
                ViewBag.RiskArcVersion = clientData.RiskArcVersion;
                ViewBag.ClientSpouseOccupations = string.Join(",", client.ClientOccupations.Select(m => (int)m.EmploymentStatus));
                ViewBag.ClientYearToRetire = yearToRetire;
                ViewBag.InitialProfileSetupCompleted = client.InitialProfileSetupCompleted;
                ViewBag.PlanningItems = (await _commonService.GetPlanningItemsAsync(ClientLoginGuid)).ToList();
                ViewBag.HasPersonalAssets = _context2.ClientProperties.Any(m => m.ClientLogin.Guid == ClientLoginGuid && m.AnnualIncome > 0);
                ViewBag.HasInvestmentIncome = _investmentService.HasInvestmentIncome(ClientLoginGuid);
                ViewBag.TimeZone = Convert.ToInt32(TimeZone);
            }
            ViewBag.DisplayOnlyClient = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "DisplayOnlyClient")?.Value;
            ViewBag.DisabledRightPanel = _httpContextAccessor.HttpContext.User.Claims.FirstOrDefault(c => c.Type == "DisabledRightPanel")?.Value;
            ViewBag.LoginUrl = "client/login";
            return await Task.FromResult(View());
        }
    }
}

LAP/Views/Shared/ActivityLog.cshtml
@using LAP.DomainModels.Entities.Admin;
@using System.Reflection;
@model IEnumerable<ClientActivityLog>
@{
    ViewData["Title"] = "Activity Log";
    string[] names = ViewBag.Names;
    var clientName = names[0];
    var spouseName = names[1];
    var fieldMapping = MenuDataHelper.GeFieldMappingDataAsync();
    int TimeZone = ViewBag.TimeZone;
}
<div class="container">
    <div class="card">
        <div class="card-body">
            <div class="card-header flex-wrap border-0 p-0">
                <div class="card-title mb-0">
                    <div class="d-flex justify-content-between">
                        <div>
                            <h3 class="card-label text-primary">
                                Activity Log
                            </h3>
                        </div>
                    </div>
                </div>
                <div class="card-body pt-4">
                    @if (Model.Count() > 0)
                    {
                        <div class="timeline activity-log timeline-5">
                            @foreach (var item in Model)
                            {
                                var actionText = item.ActionType == ActionEnum.Insert.ToString() ? "added a new" :
                                item.ActionType == ActionEnum.Update.ToString() ? "updated the" : "deleted the";
                                var createdByEmail = item.CreatedByUserId > 0 ? item.CreatedByUser.Username : item.Owner.Username;
                                var createdByName = item.CreatedByUserId > 0 ? item.CreatedByUser.UserData.Name : item.Owner.ClientData.Name;
                                var colorClass = (item.ActionType == ActionEnum.Insert.ToString() ? "success" : item.ActionType == ActionEnum.Update.ToString() ? "warning" : "danger");
                                <div class="timeline-item align-items-start mb-0">
                                    <div class="timeline-label font-weight-bold">@item.TimeStamp.AddMinutes(-TimeZone).ToString("MMM dd, yyyy hh:mm tt")</div>
                                    <div class="timeline-badge">
                                        <i class="fa fa-genderless text-@colorClass icon-xl"></i>
                                    </div>
                                    <div class="timeline-content pl-3">
                                        <span class="font-weight-bolder text-maroon" role="button" data-toggle="tooltip" data-original-title="@createdByEmail">@createdByName</span>
                                        @actionText
                                        @item.EntityModuleName
                                        <span class="text-primary">@Html.Raw(item.Title)</span>
                                        @if (item.ActionType != ActionEnum.Delete.ToString() && item.Changes != null)
                                        {
                                            <div class="alert alert-custom alert-notice alert-light-@colorClass mt-2" role="alert" style="width:fit-content">
                                                <ul class="mb-0">
                                                    @foreach (var item2 in item.Changes)
                                                    {
                                                        var fieldChange = (FieldChangeModel)item2.Value;
                                                        var fieldMaps = fieldMapping.Where(m => m.FieldName == item2.Key);
                                                        var fieldMap = fieldMaps.Count() > 1 ? fieldMaps.FirstOrDefault(m => m.TableName == item.EntityName) : fieldMaps.FirstOrDefault();
                                                        var fieldTitle = fieldMap != null ? fieldMap.Title : item2.Key;
                                                        fieldTitle = fieldTitle.Replace("{clientName}", clientName).Replace("{spouseName}", spouseName);

                                                        var oldValueFormatted = fieldTitle.Contains("Version") ? fieldChange.OldValueFormatted == "Yes" ? "InDepth" : "Express" : fieldChange.OldValueFormatted;
                                                        var newValueFormatted = fieldTitle.Contains("Version") ? fieldChange.NewValueFormatted == "Yes" ? "InDepth" : "Express" : fieldChange.NewValueFormatted;

                                                        oldValueFormatted = !string.IsNullOrEmpty(fieldChange.OldValueFormatted) && fieldChange.OldValueFormatted.Contains("{") ? fieldChange.OldValueFormatted.Replace("{clientName}", clientName).Replace("{spouseName}", spouseName) : oldValueFormatted;
                                                        newValueFormatted = !string.IsNullOrEmpty(fieldChange.NewValueFormatted) && fieldChange.NewValueFormatted.Contains("{") ? fieldChange.NewValueFormatted.Replace("{clientName}", clientName).Replace("{spouseName}", spouseName) : newValueFormatted;
                                                        @if (item.ActionType == ActionEnum.Insert.ToString())
                                                        {
                                                            if (fieldChange.OldValue != null && fieldChange.NewValue != null && !string.IsNullOrEmpty(newValueFormatted) && item2.Key != "Id")
                                                            {
                                                                <li class="font-weight-bolder">@fieldTitle: <span class="font-weight-normal">@Html.Raw(newValueFormatted)</span></li>
                                                            }
                                                        }
                                                        else
                                                        {
                                                            if (oldValueFormatted != newValueFormatted)
                                                            {
                                                                <li>
                                                                    <span class="font-weight-bolder">@fieldTitle</span>
                                                                    <span class="font-weight-normal" style="text-underline-position: under">
                                                                        @if (!string.IsNullOrEmpty(oldValueFormatted) && !string.IsNullOrEmpty(newValueFormatted))
                                                                        {
                                                                            <span>
                                                                                updated from
                                                                                <u>@Html.Raw(oldValueFormatted)</u>
                                                                                to
                                                                                <u>@Html.Raw(newValueFormatted)</u>
                                                                            </span>

                                                                        }
                                                                        else
                                                                        {
                                                                            <span>
                                                                                @(
                                                                                    !string.IsNullOrEmpty(oldValueFormatted) ? "reset from" : "updated to"
                                                                                    )
                                                                                <u>
                                                                                    @(
                                                                                        !string.IsNullOrEmpty(oldValueFormatted) ? Html.Raw(oldValueFormatted) : @Html.Raw(newValueFormatted)
                                                                                        )
                                                                                </u>
                                                                            </span>
                                                                        }
                                                                    </span>
                                                                </li>
                                                            }
                                                        }
                                                    }
                                                </ul>
                                            </div>
                                        }
                                        @if (item.EntityId == null)
                                        {
                                            <a href="javascript:;" class="btn-view-detail" data-parentid="@item.Id" data-client-guid="@item.Owner.Guid">View Detail</a>
                                        }
                                    </div>
                                </div>
                            }
                        </div>
                    }
                    else
                    {
                        <div class="alert alert-secondary" role="alert">No Activity Logged!</div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal" id="ActivityLogChildrenModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
@section scripts{
    <script>
        $(document).on("click", ".btn-view-detail", function () {
            KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
            var parentid = $(this).attr("data-parentid");
            var clientguid = $(this).attr("data-client-guid");
            loadPartialView(`home/getactivitylogchildren?parentid=${parentid}&guid=${clientguid}`, "ActivityLogChildrenModal");
            setTimeout(function () { KTApp.unblockPage(); }, 1000);
            $("#ActivityLogChildrenModal").modal({ backdrop: 'static' });
        });
    </script>
}

LAP/Views/Shared/_ChangeEmailModal.cshtml
@model EmailVerification
<div class="modal-dialog" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Change Email Address</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="personal/SaveEmail" class="form fv-plugins-bootstrap fv-plugins-framework" id="AddClient_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="EmailChangeComplete">
            <div class="modal-body">
                <input type="hidden" name="Guid" value="@ViewBag.ClientLoginGuid" />
                <div class="form-group">
                    <label>Email Address</label>
                    <div class="input-group">
                        <input asp-for="Email" class="form-control form-control-lg" id="ClientEmail">
                        <div class="input-group-append d-none" id="edit-email">
                            <button class="btn btn-warning w-45px" type="button" data-toggle="tooltip" data-original-title="Edit"><i class="icon-lg far fa-edit"></i></button>
                        </div>
                    </div>
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group d-none" id="code-div">
                    <label>Verification Code</label>
                    <input class="form-control form-control-lg numeric" asp-for="VerificationCode">
                    <span asp-validation-for="VerificationCode" class="text-danger"></span>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_client">
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>
<script>
    var EmailChangeComplete = function (response) {
        var id = $(this).find(":submit").attr('id');
        var btn = KTUtil.getById(id);
        var frm_id = $(this).attr('id');
        var responseObj = JSON.parse(response.responseText);
        if (responseObj) {
            if (responseObj.success) {
                $("#edit-email").removeClass("d-none");
                $("#code-div").removeClass("d-none");
                $("#ChangeEmailModal #Email").addClass("disabled");
                var swalOptions = successSwalOptions;
                swalOptions.title = responseObj.message;
                Swal.fire(swalOptions);
                if (responseObj.data.email) {
                    if (window['adviser_sub_datatable_' + responseObj.data.userId])
                        window['adviser_sub_datatable_' + responseObj.data.userId].reload();
                    var modalId = $('.modal:visible').attr("id");
                    $(`#${modalId}`).modal('hide');
                    $("#right_panel_email").text(responseObj.data.email);
                    $("#kt_clientinfo_form #Email").val(responseObj.data.email);
                }
            }
            else
                _showFormMessage(`${frm_id}`, "danger", responseObj.message, "fas fa-exclamation-triangle");
        }
        else
            _showFormMessage(`${frm_id}`, "danger", "Error Occur", "fas fa-exclamation-triangle")
        KTUtil.btnRelease(btn);
    }
    $("#edit-email").click(function () {
        $("#ChangeEmailModal #Email").removeClass("disabled");
        $("#code-div").addClass("d-none");
    });
</script>

LAP/Views/Shared/_CropperModal.cshtml
<div class="modal" id="cropperModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-scrollable modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Crop Avatar Image</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i aria-hidden="true" class="ki ki-close"></i>
                </button>
            </div>
            <div class="modal-body  scrollable-modal-body">
                <img src="#" id="cropper_image" class="w-100" />
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-light-primary font-weight-bold" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary font-weight-bold" id="btn-crop">Crop <i class="la la-crop-alt"></i></button>
            </div>
        </div>
    </div>
</div>

LAP/Views/Shared/_EmptyLayout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <partial name="_HeadImport" />
</head>
<body id="kt_body" class="header-fixed header-mobile-fixed subheader-enabled subheader-fixed">
    @RenderBody()
    <div id="kt_scrolltop" class="scrolltop">
        <span class="svg-icon">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                    <polygon points="0 0 24 0 24 24 0 24" />
                    <rect fill="#000000" opacity="0.3" x="11" y="10" width="2" height="10" rx="1" />
                    <path d="M6.70710678,12.7071068 C6.31658249,13.0976311 5.68341751,13.0976311 5.29289322,12.7071068 C4.90236893,12.3165825 4.90236893,11.6834175 5.29289322,11.2928932 L11.2928932,5.29289322 C11.6714722,4.91431428 12.2810586,4.90106866 12.6757246,5.26284586 L18.6757246,10.7628459 C19.0828436,11.1360383 19.1103465,11.7686056 18.7371541,12.1757246 C18.3639617,12.5828436 17.7313944,12.6103465 17.3242754,12.2371541 L12.0300757,7.38413782 L6.70710678,12.7071068 Z" fill="#000000" fill-rule="nonzero" />
                </g>
            </svg>
        </span>
    </div>
    @await Html.PartialAsync("_GlobalScriptImport")
    <script src="~/lib/validation-bundle.js"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>

LAP/Views/Shared/_InvestmentVersionModal.cshtml
<div class="modal" id="InvestmentVersionModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog max-w-600px" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Which type of personal Investment would you like to create?</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <i aria-hidden="true" class="ki ki-close"></i>
                </button>
            </div>
            <form id="InvestmentVersionModalFrm">
                <div class="modal-body">
                    <div class="radio-list">
                        <label class="radio radio-outline radio-outline-2x font-size-h5">
                            <input type="radio" name="InvestmentVersion" value="0" id="investment-express">
                            <span></span>
                            <text class="form-check-label" for="investment-express">
                                <span>Express Version <span class="small mt-1">(Quicker, less accurate)</span></span>
                            </text>
                        </label>
                        <label class="radio radio-outline radio-outline-2x font-size-h5">
                            <input type="radio" name="InvestmentVersion" value="1" id="investment-indepth">
                            <span></span>
                            <text class="form-check-label" for="investment-indepth">
                                <span>In-Depth Version <span class="small mt-1">(More time commitment, more accurate)</span></span>
                            </text>
                        </label>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_investment">
                        <i class="la la-save"></i>Save
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>

LAP/Views/Shared/_Layout.cshtml
@{
    bool IsEmptyLayout = Convert.ToBoolean(ViewBag.EmptyLayout);
    var bodyClass = !IsEmptyLayout ? "aside-enabled aside-fixed" : "";
    var DisplayOnlyClient = Convert.ToBoolean(User.Claims.FirstOrDefault(c => c.Type == "DisplayOnlyClient")?.Value);
    var DisabledRightPanel = Convert.ToBoolean(User.Claims.FirstOrDefault(c => c.Type == "DisabledRightPanel")?.Value);
    string ClientName = ViewBag.ClientName;
    ViewData["footer-bg"] = "bg-white";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <partial name="_HeadImport" />
</head>
<body id="kt_body" class="header-fixed header-mobile-fixed subheader-enabled subheader-fixed topbar-mobile-on @bodyClass">
    <div id="kt_header_mobile" class="header-mobile align-items-center header-mobile-fixed">
        <img alt="Logo" src="~/images/brand_logo.png" height="30">
        <div class="d-flex align-items-center">
            @if (!IsEmptyLayout)
            {
                <button class="btn p-0 burger-icon burger-icon-left" id="kt_aside_mobile_toggle">
                    <span></span>
                </button>
                <button class="btn p-0 burger-icon ml-4" id="kt_header_mobile_toggle">
                    <span></span>
                </button>
            }
            <div class="topbar-item ml-2" style="pointer-events:@(DisabledRightPanel?"none":"")">
                @(await Component.InvokeAsync("TopBarMobileUserToggle"))
            </div>
        </div>
    </div>
    <div class="d-flex flex-column flex-root">
        <div class="progress d-none" id="scrollbar-progress-container">
            <div class="progress-bar bg-info" role="progressbar" style="width: 0%" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
        </div>
        <div class="d-flex flex-row flex-column-fluid page">
            @if (!IsEmptyLayout)
            {
                <partial name="_LeftPanel" />
            }
            <div class="d-flex flex-column flex-row-fluid wrapper" id="kt_wrapper">
                @(await Component.InvokeAsync("TopBar"))
                <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
                    @RenderBody()
                </div>
                <partial name="_Footer" />
            </div>
        </div>
    </div>
    <partial name="_ArcUploadModal" />
    @if (!DisabledRightPanel && !IsEmptyLayout)
    {
        @(await Component.InvokeAsync("RightPanel"))
    }
    <div id="kt_scrolltop" class="scrolltop">
        <span class="svg-icon">
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                    <polygon points="0 0 24 0 24 24 0 24" />
                    <rect fill="#000000" opacity="0.3" x="11" y="10" width="2" height="10" rx="1" />
                    <path d="M6.70710678,12.7071068 C6.31658249,13.0976311 5.68341751,13.0976311 5.29289322,12.7071068 C4.90236893,12.3165825 4.90236893,11.6834175 5.29289322,11.2928932 L11.2928932,5.29289322 C11.6714722,4.91431428 12.2810586,4.90106866 12.6757246,5.26284586 L18.6757246,10.7628459 C19.0828436,11.1360383 19.1103465,11.7686056 18.7371541,12.1757246 C18.3639617,12.5828436 17.7313944,12.6103465 17.3242754,12.2371541 L12.0300757,7.38413782 L6.70710678,12.7071068 Z" fill="#000000" fill-rule="nonzero" />
                </g>
            </svg>
        </span>
    </div>
    @await Html.PartialAsync("_GlobalScriptImport")
    <script src="~/js/client-portal.js" asp-append-version="true"></script>
    <script src="~/lib/validation-bundle.min.js"></script>
    @RenderSection("Scripts", required: false)
    <partial name="_RiskArcVersionModal" />
</body>
</html>

LAP/Views/Shared/_LeftPanel.cshtml
<div class="aside aside-left  aside-fixed  d-flex flex-column flex-row-auto" id="kt_aside">
    <div class="brand flex-column-auto" id="kt_brand">
        <a href="javascript:" class="brand-logo">
            <img alt="Logo" src="~/images/brand_logo.png" />
        </a>
    </div>
    <div class="aside-menu-wrapper flex-column-fluid" id="kt_aside_menu_wrapper">
        <div id="kt_aside_menu" class="aside-menu my-4 " data-menu-vertical="1" data-menu-scroll="1" data-menu-dropdown-timeout="500">
            <div class="pl-3 pr-3">
                <div class="d-flex">
                    <div class="mb-2 mt-2 font-size-h5 font-weight-bold text-underline ml-20">Ex·plic·it vue</div>
                    <div class="spinner ml-5 d-none" id="explicitvue-spinner"></div>
                </div>
                <div class="text-center mt-2 d-none" id="exp-msg">
                    <span class="font-size-h6 text-warning">
                        Insert Employment details to explore the Ex·plic·it vue.
                    </span>
                    <span class="fa-stack pulse pulse-warning" role="button">
                        <i class="fas fa-play fa-stack-1x text-dark icon-nm" style="transform: rotate(30deg);left:1px;top:3px"></i>
                        <i class="fas fa-exclamation-triangle fa-stack-1x text-warning"></i>
                        <span class="pulse-ring" style="margin-left:-4px;margin-top:-5px"></span>
                    </span>
                </div>
                <div id="ex-plic-it-vue" class="mb-5"></div>
            </div>
        </div>
    </div>
</div>